<?php
// +----------------------------------------------------------------------
// | 卡洛思短信平台短信接口
// +----------------------------------------------------------------------
// | Copyright (c) 2006-2016 http://www.xuewl.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: xuewl01 master@xuewl.cn 雪毅网络官方团队
//
namespace Sms\Api\Driver;
class Smsbao {
	private static $config    =   '';
    private static $setting   = '';
	public static function getInstance() {
        self::$setting = getcache('setting', 'sms');
		self::$config = array(
			'account' 	=> self::$setting['smsbao_username'],
			'password'	=> self::$setting['smsbao_password'],
			'target'	=> self::$setting['smsbao_target'],
		);
	}

	/**
     * 发送短信
     * @author xuewl <master@xuewl.cn>
     * @copyright: 雪毅网络官方团队
     * @date：2016-10-06
     * @version：1.0
     */
	public static function send($mobile,$atr = array(),$content = '') {
        if(empty(self::$config)){
            self::getInstance();
        }
        self::$config['mobile'] = $mobile;
        self::$config['content'] = '【'.self::$setting['smsbao_target'].'】'.$content;
        $smsapi = "http://api.smsbao.com/";
        $user =  self::$config['account']; //短信平台帐号
        $pass = md5(self::$setting['smsbao_password']); //短信平台密码
        $content=self::$config['content'];//要发送的短信内容
        $phone =$mobile;//要发送短信的手机号码
        $sendurl = $smsapi."sms?u=".$user."&p=".$pass."&m=".$phone."&c=".urlencode($content);
        $result =file_get_contents($sendurl) ;
        if ($result == 0) {
            return TRUE;
        }else{
            return FALSE;
        }
	}

	/**
     * 查询余额
     * @author xuewl <master@xuewl.cn>
     * @copyright: 雪毅网络官方团队
     * @date：2016-10-06
     * @version：1.0
     */
	public static function get_num() {
        if(empty(self::$config)){
            self::getInstance();
        }
//		self::$config['action'] = 'overage';
//        $result = _dfsockopen('http://121.199.50.122:8888/sms.aspx?'.http_build_query(self::$config));
//        $xml=simplexml_load_string($result);
//        $xml=json_decode(json_encode($xml),TRUE);
        $smsapi = "http://api.smsbao.com/";
        $user =  self::$config['account']; //短信平台帐号
        $pass = md5(self::$setting['smsbao_password']); //短信平台密码
        $content=self::$config['content'];//要发送的短信内容
        $sendurl = $smsapi."balance?u=".$user."&p=".$pass;
        $result =file_get_contents($sendurl);
        $result = explode(',',$result);
        return $result[1];
    }
}
?>
